# TODO:
# - check docs folder for valuable files
#
%define		pname	IPython
%define		mname	ipython
Summary:	An enhanced Interactive Python shell
Summary(pl.UTF-8):	Interaktywna powłoka języka Python
Name:		ipython3
Version:	0.13
Release:	2
License:	LGPL
Group:		Applications/Shells
Source0:	http://archive.ipython.org/release/%{version}/%{mname}-%{version}.tar.gz
# Source0-md5:	490ccc2da9d6de9c37c7df05c1197ac5
Patch0:		%{name}-bug-2057.patch
URL:		http://ipython.org
BuildRequires:	pydoc3
BuildRequires:	python3-devel
BuildRequires:	python3-devel-tools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python3-%{mname} = %{version}-%{release}
Suggests:	python3-zmq
Suggests:	python3-rpy2
Suggests:	python3-tornado
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython shell.

%description -l pl.UTF-8
IPython jest wolnym oprogramowaniem, którego celem jest:

1. Dostarczenie interaktywnej powłoki lepszej od standardowej
dostarczanej z językiem Python. IPython umożliwia badanie obiektów,
dostęp do powłoki oraz własny system poleceń, który umożliwia
rozszerzanie funkcjonalności podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, który można dołączać do własnej
aplikacji. IPython może zostać uruchomiony za pomocą wywołania jednej
funkcji z poziomu innego programu umożliwiając jednocześnie dostęp do
aktualnej przestrzeni nazw tego programu. Może to być bardzo użyteczne
do celów takich jak śledzenie programu czy też sytuacji gdzie jest
wymagane połączenie przetwarzania wsadowego z interaktywną
introspekcją.

3. Dostarczenie szkieletu, który może zostać użyty jako podstawa
systemu, którego polecenia opierają się na zasadach języka Python.
Projekt został zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mogą być realizowane
w wielu przypadkach.

Pakiet ten zawiera powłokę IPython.

%package -n python3-ipython
Summary:	An enhanced Interactive Python shell modules
Summary(pl.UTF-8):	Moduły interaktywnej powłoki języka Python
Group:		Libraries/Python
%pyrequires_eq	python3-devel-tools
%pyrequires_eq	pydoc3

%description -n python3-ipython
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython modules.

%description -n python3-ipython -l pl.UTF-8
IPython jest wolnym oprogramowaniem, którego celem jest:

1. Dostarczenie interaktywnej powłoki lepszej od standardowej
dostarczanej z językiem Python. IPython umożliwia badanie obiektów,
dostęp do powłoki oraz własny system poleceń, który umożliwia
rozszerzanie funkcjonalności podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, który można dołączać do własnej
aplikacji. IPython może zostać uruchomiony za pomocą wywołania jednej
funkcji z poziomu innego programu umożliwiając jednocześnie dostęp do
aktualnej przestrzeni nazw tego programu. Może to być bardzo użyteczne
do celów takich jak śledzenie programu czy też sytuacji gdzie jest
wymagane połączenie przetwarzania wsadowego z interaktywną
introspekcją.

3. Dostarczenie szkieletu, który może zostać użyty jako podstawa
systemu, którego polecenia opierają się na zasadach języka Python.
Projekt został zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mogą być realizowane
w wielu przypadkach.

Pakiet ten zawiera moduły interaktywnej powłoki języka Python.

%prep
%setup -q -n %{mname}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

python3 ./setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files -n python3-ipython
%defattr(644,root,root,755)
%doc docs/README.txt
%{py3_sitescriptdir}/%{pname}
%{py3_sitescriptdir}/*.egg-info
%changelog
* Sat Jul 28 2012 Jacek Konieczny <jajcus@jajcus.net> adaae83
Release: 2

* Sat Jul 28 2012 Jacek Konieczny <jajcus@jajcus.net> 0716546
s/python3-pyzmq/python3-zmq/

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> cbb64cf
- rel. 1

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> 798dbd2
- s/tornado/python3-tornado/

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> f6d7c89
- suggest tornado and rpy2 for installation

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> c6881e2
- cleanup: builds cleanly now

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> b177bc0
- spec cleanup

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> 8259b87
- cp ipython.spec -> ipython3.spec

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> 5648a7a
- ver. 0.13
- switch from python 2.x to python 3.x

* Tue Oct 25 2011 Karol Krenski <charles@pld-linux.org> a29488e
- fix zmq version compare

* Tue Oct 25 2011 Karol Krenski <charles@pld-linux.org> 66a3a98
- added -zmq_detection.patch
- S: python-pyzmq (for qtconsole)

* Tue Oct 25 2011 Karol Krenski <charles@pld-linux.org> 237251c
- not needed

* Tue Oct 25 2011 Karol Krenski <charles@pld-linux.org> 62c095d
- updated to 0.11
- removed outdated -import_path.patch & -upgrade.patch
- updated URL & Source0

* Wed Apr 27 2011 marti <marti@pld-linux.org> 3827141
- up to 0.10.2

* Wed Nov 10 2010 Karol Krenski <charles@pld-linux.org> 25158aa
- up to 0.10.1

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bdb0c6
- release 2

* Tue Feb 23 2010 wrobell <wrobell@pld-linux.org> c3ca358
- ver. 0.10

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 126fa0c
- release 2; fix previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 417e30a
- updated to 1.3.2

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> f504124
- updated to 0.9.1

